Subject: Re: [PATCH v2 0/4] Switch links to https

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Sep 2023 11:33:59 -0700

"Josh Soref via GitGitGadget" <[email-masked]> writes:

> There are a couple of categories of http links

The same comment applies to the previous round, but it is not clear
how the categories of links that are HTTP in the current code (the
first enumeration) are related to how HTTP links are modified in the
series (the second enumeration).  It is not like how the first one
in the first list (i.e. must be HTTP) is handled is described by the
first one in the second list (i.e. replace HTTP to HTTPS without
doing anything else), as the number of bullet points are different.

>  * links that are required to be http: because they're copied from something
>    that mandates it (the apache license, xml namespaces, xsl docbook
>    things?)

So these are in "must stay as-is" category?

>  * pages which exist at both http: and https: and can be safely switched

"Can be switched" does not mean we should switch, does it?

>  * pages that have jittered a bit but are now available as https:

... but not available over HTTP:?  If so, this falls into "must
switch to avoid a dangling link" category?

>  * pages that have jittered a bit and are not available over https:

Again, "must stay as-is"?

>  * pages that are gone and for which the best source is
>    https://web.archive.org

Unfortunate, but definitely improves things.

>  * urls that were imaginary

What is done to them?  Just leave them as they are, or replace with
another imaginary link over HTTPS?

Hopefully we will see in the proposed commit log message of
individual patches what kind of http:// links the patch deals with
and how (e.g. "For some URLs in the documentation and the code, the
original http:// links are not reachable and dangling but the same
contents are still available at https://; for these URLs, replace
http:// with https:// without doing anything else.").  Let's read
on.

> In order:
>
>  * doc: switch links to https -- the simplest
>  * doc: update links to current pages -- I found the current pages for
>    these, it should be easy enough to verify these / reject them
>  * doc: update links for andre-simon.de -- I've split this out, I don't like
>    the idea of having to download binaries over http. If this were my
>    project, I'd be tempted to remove the feature or self-host w/ https...
>  * doc: refer to internet archive -- the original urls are dead, I've found
>    internet archive date links for them. (There are some in git already, so
>    this seemed like a very reasonable choice.)

> cc: Eric Sunshine [email-masked] cc: Josh Soref [email-masked]

(administrivia) I am not sure what effect, if any, this line has.